#include <iostream>

using namespace std;

int main()
{
    int N, M;
    cin >> N >> M;
    int niz[N], niz1[N];
    for(int i = 0; i < N; i++){
        cin >> niz[i];
        niz1[i] = niz[i];
        if(niz[i] == M)
            niz[i] = 0;
    }
    int a = 0;
    int resenje = 0;
    for(int i = 0; i < M; i++){
        for(int j = 0; j < N; j++){
            if(niz[j]>0){
               a++;
               niz[j]--;
            }

        }
        resenje += a*(N-a);
        a = 0;
    }
    int resenje1 = 0;
    a = 0;
    for(int i = 0; i < M; i++){
        for(int j = 0; j < N; j++){
            if(niz1[j]>0){
               a++;
               niz1[j]--;
            }

        }
        resenje1 += a*(N-a);
        a = 0;
    }
    if(resenje1 < resenje)
        cout << resenje1;
    else
        cout << resenje;
    return 0;
}